Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchCustomDyncodeCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchCustomDyncodeCondition

All Implemented Interfaces:
  `java.io.Serializable`

    public class DispatchCustomDyncodeCondition
    extends DispatchCondition

Пользовательское условие отправки, реализуемое в виде динамического java-класса, в котором возможно реализовать произвольную проверку, используя возможности API.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchCustomDyncodeCondition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `deserializePart​(org.w3c.dom.Element element)` |
  `java.lang.String` | `getClassName()` | Получение имени класса, реализующее данное условие отправки.
  `protected void` | `serializePart​(org.w3c.dom.Element element)` |
  `void` | `setClassName​(java.lang.String className)` | Установка имени класса, который реализует пользовательское условие отправки.

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchCustomDyncodeCondition

    public DispatchCustomDyncodeCondition()

- ## Method Details

  - ### serializePart

    protected void serializePart​(org.w3c.dom.Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart​(org.w3c.dom.Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`

  - ### getClassName

    public java.lang.String getClassName()
    Получение имени класса, реализующее данное условие отправки.
    Overrides:
      `getClassName` in class `DispatchCondition`
    Returns:
      полное имя класса, включая пакет.

  - ### setClassName

    public void setClassName​(java.lang.String className)
    Установка имени класса, который реализует пользовательское условие отправки.
    Parameters:
      `className` - полное имя класса.